Appearance
服务列表
接口说明
列出当前 workspace 可见的全部三方服务,并标注是否已配置凭证。调用方可据此判断是否需要先在控制台配置凭证。
- 接口路径:
GET /v1/openapi/third-party-service
请求头
| 参数名 | 必填 | 说明 |
|---|---|---|
| Authorization | 是 | 鉴权凭证,格式 Bearer sk_xxx |
请求参数
本接口为 GET 请求,无请求体,仅需鉴权头(参见认证与鉴权)。
成功响应示例
json
{
"code": 200,
"data": [
{
"name": "current_time",
"display_name": "获取当前时间",
"description": "用于获取当前时间、获取时间戳、时区转换、时间戳转换、星期几计算器、农历转换等与时间相关的工具。",
"category": "基础工具",
"need_credentials": false,
"is_configured": true,
"tool_count": 7
},
{
"name": "tavily_search",
"display_name": "Tavily搜索",
"description": "专为 AI 设计的搜索引擎,支持多种搜索:网页搜索、提取网站内容、爬取站点和图像,可返回结构化结果或上下文。",
"category": "基础工具",
"need_credentials": true,
"is_configured": true,
"tool_count": 5
},
{
"name": "doubao_speech",
"display_name": "豆包语音",
"description": "字节豆包大模型语音 V3 接口集,包含语音合成(TTS,HTTP Chunked 流)与流式语音录音文件极速识别(auc_turbo / flash)。",
"category": "基础工具",
"need_credentials": true,
"is_configured": true,
"tool_count": 2
}
],
"message": "success",
"trace_id": "b335f4b309e7885786478563ff37bf95"
}data 字段说明
| 字段 | 类型 | 说明 |
|---|---|---|
name | string | 服务 slug,用于拼接调用 URL 中的 :service |
display_name | string | 服务展示名称 |
description | string | 服务说明 |
category | string | 服务分类 |
need_credentials | bool | 是否需要凭证(false 为零配置本地服务) |
is_configured | bool | 当前 workspace 是否已配置可用凭证;need_credentials=false 时恒为 true |
tool_count | int | 该服务下的工具数量 |
调用示例
bash
curl -X GET 'https://runtime-api.invalid/v1/openapi/third-party-service' \
-H 'Authorization: Bearer sk_your_api_key'